All of lore.kernel.org
 help / color / mirror / Atom feed
From: "Darrick J. Wong" <darrick.wong@oracle.com>
To: david@fromorbit.com, eguan@redhat.com, darrick.wong@oracle.com
Cc: linux-btrfs@vger.kernel.org, fstests@vger.kernel.org, xfs@oss.sgi.com
Subject: [PATCH 12/17] reflink: test cross-mountpoint reflink and dedupe
Date: Thu, 21 Jul 2016 16:47:32 -0700	[thread overview]
Message-ID: <146914485237.11762.2526971565060691741.stgit@birch.djwong.org> (raw)
In-Reply-To: <146914477514.11762.3144320628851923350.stgit@birch.djwong.org>

Test sharing blocks via reflink and dedupe between two different
mountpoints of the same filesystem.  This shouldn't work, since
we don't allow cross-mountpoint functions.

Signed-off-by: Darrick J. Wong <darrick.wong@oracle.com>
---
 tests/generic/927     |   88 +++++++++++++++++++++++++++++++++++++++++++++++++
 tests/generic/927.out |    9 +++++
 tests/generic/928     |   86 ++++++++++++++++++++++++++++++++++++++++++++++++
 tests/generic/928.out |   10 ++++++
 tests/generic/group   |    2 +
 5 files changed, 195 insertions(+)
 create mode 100755 tests/generic/927
 create mode 100644 tests/generic/927.out
 create mode 100755 tests/generic/928
 create mode 100644 tests/generic/928.out


diff --git a/tests/generic/927 b/tests/generic/927
new file mode 100755
index 0000000..c7d82b7
--- /dev/null
+++ b/tests/generic/927
@@ -0,0 +1,88 @@
+#! /bin/bash
+# FS QA Test No. 927
+#
+# Check that cross-mountpoint reflink doesn't work.
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2016 Oracle, Inc.  All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+#-----------------------------------------------------------------------
+#
+
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1	# failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 7 15
+
+_cleanup()
+{
+	cd /
+	rm -rf $tmp.*
+	wait
+}
+
+# get standard environment, filters and checks
+. ./common/rc
+. ./common/filter
+. ./common/reflink
+
+# real QA test starts here
+_supported_os Linux
+_require_scratch_reflink
+_require_cp_reflink
+
+echo "Format and mount"
+_scratch_mkfs > $seqres.full 2>&1
+_scratch_mount >> $seqres.full 2>&1
+
+testdir=$SCRATCH_MNT/test-$seq
+mkdir $testdir
+otherdir=/tmp/m.$seq
+othertestdir=$otherdir/test-$seq
+rm -rf $otherdir
+mkdir $otherdir
+
+blocks=1
+blksz=65536
+sz=$((blksz * blocks))
+
+echo "Mount otherdir"
+SCRATCH_MNT=$otherdir _scratch_mount
+
+echo "Create file"
+_pwrite_byte 0x61 0 $sz $testdir/file >> $seqres.full
+
+filter_md5() {
+	_filter_scratch | sed -e "s,$otherdir,OTHER_DIR,g"
+}
+
+echo "Reflink one file to another"
+_cp_reflink $testdir/file $othertestdir/otherfiles 2>&1 | filter_md5
+
+echo "Check output"
+md5sum $testdir/file | _filter_scratch
+test -e $othertestdir/otherfile && echo "otherfile should not exist"
+
+echo "Unmount otherdir"
+SCRATCH_MNT=$otherdir _scratch_unmount
+rm -rf $otherdir
+
+# success, all done
+status=0
+exit
diff --git a/tests/generic/927.out b/tests/generic/927.out
new file mode 100644
index 0000000..3ef3057
--- /dev/null
+++ b/tests/generic/927.out
@@ -0,0 +1,9 @@
+QA output created by 927
+Format and mount
+Mount otherdir
+Create file
+Reflink one file to another
+cp: failed to clone 'OTHER_DIR/test-927/otherfiles' from 'SCRATCH_MNT/test-927/file': Invalid cross-device link
+Check output
+2d61aa54b58c2e94403fb092c3dbc027  SCRATCH_MNT/test-927/file
+Unmount otherdir
diff --git a/tests/generic/928 b/tests/generic/928
new file mode 100755
index 0000000..86268e7
--- /dev/null
+++ b/tests/generic/928
@@ -0,0 +1,86 @@
+#! /bin/bash
+# FS QA Test No. 928
+#
+# Check that cross-mountpoint dedupe doesn't work.
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2016 Oracle, Inc.  All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+#-----------------------------------------------------------------------
+#
+
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1	# failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 7 15
+
+_cleanup()
+{
+	cd /
+	rm -rf $tmp.*
+	wait
+}
+
+# get standard environment, filters and checks
+. ./common/rc
+. ./common/filter
+. ./common/reflink
+
+# real QA test starts here
+_supported_os Linux
+_require_scratch_dedupe
+
+echo "Format and mount"
+_scratch_mkfs > $seqres.full 2>&1
+_scratch_mount >> $seqres.full 2>&1
+
+testdir=$SCRATCH_MNT/test-$seq
+mkdir $testdir
+otherdir=/tmp/m.$seq
+othertestdir=$otherdir/test-$seq
+rm -rf $otherdir
+mkdir $otherdir
+
+blocks=1
+blksz=65536
+sz=$((blocks * blksz))
+
+echo "Mount otherdir"
+SCRATCH_MNT=$otherdir _scratch_mount
+
+echo "Create file"
+_pwrite_byte 0x61 0 $sz $testdir/file >> $seqres.full
+_pwrite_byte 0x61 0 $sz $testdir/otherfile >> $seqres.full
+
+echo "Dedupe one file to another"
+_dedupe_range $testdir/file 0 $othertestdir/otherfile 0 $sz >> $seqres.full
+
+filter_md5() {
+	_filter_scratch | sed -e "s,$otherdir,OTHER_DIR,g"
+}
+echo "Check output"
+md5sum $testdir/file $othertestdir/otherfile | filter_md5
+
+echo "Unmount otherdir"
+SCRATCH_MNT=$otherdir _scratch_unmount
+rm -rf $otherdir
+
+# success, all done
+status=0
+exit
diff --git a/tests/generic/928.out b/tests/generic/928.out
new file mode 100644
index 0000000..ef35c5b
--- /dev/null
+++ b/tests/generic/928.out
@@ -0,0 +1,10 @@
+QA output created by 928
+Format and mount
+Mount otherdir
+Create file
+Dedupe one file to another
+dedupe: Invalid cross-device link
+Check output
+2d61aa54b58c2e94403fb092c3dbc027  SCRATCH_MNT/test-928/file
+2d61aa54b58c2e94403fb092c3dbc027  OTHER_DIR/test-928/otherfile
+Unmount otherdir
diff --git a/tests/generic/group b/tests/generic/group
index 97ecb65..18b9775 100644
--- a/tests/generic/group
+++ b/tests/generic/group
@@ -373,3 +373,5 @@
 368 auto quick richacl
 369 auto quick richacl
 370 auto quick richacl
+927 auto quick clone
+928 auto quick clone dedupe


WARNING: multiple messages have this Message-ID (diff)
From: "Darrick J. Wong" <darrick.wong@oracle.com>
To: david@fromorbit.com, eguan@redhat.com, darrick.wong@oracle.com
Cc: fstests@vger.kernel.org, linux-btrfs@vger.kernel.org, xfs@oss.sgi.com
Subject: [PATCH 12/17] reflink: test cross-mountpoint reflink and dedupe
Date: Thu, 21 Jul 2016 16:47:32 -0700	[thread overview]
Message-ID: <146914485237.11762.2526971565060691741.stgit@birch.djwong.org> (raw)
In-Reply-To: <146914477514.11762.3144320628851923350.stgit@birch.djwong.org>

Test sharing blocks via reflink and dedupe between two different
mountpoints of the same filesystem.  This shouldn't work, since
we don't allow cross-mountpoint functions.

Signed-off-by: Darrick J. Wong <darrick.wong@oracle.com>
---
 tests/generic/927     |   88 +++++++++++++++++++++++++++++++++++++++++++++++++
 tests/generic/927.out |    9 +++++
 tests/generic/928     |   86 ++++++++++++++++++++++++++++++++++++++++++++++++
 tests/generic/928.out |   10 ++++++
 tests/generic/group   |    2 +
 5 files changed, 195 insertions(+)
 create mode 100755 tests/generic/927
 create mode 100644 tests/generic/927.out
 create mode 100755 tests/generic/928
 create mode 100644 tests/generic/928.out


diff --git a/tests/generic/927 b/tests/generic/927
new file mode 100755
index 0000000..c7d82b7
--- /dev/null
+++ b/tests/generic/927
@@ -0,0 +1,88 @@
+#! /bin/bash
+# FS QA Test No. 927
+#
+# Check that cross-mountpoint reflink doesn't work.
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2016 Oracle, Inc.  All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+#-----------------------------------------------------------------------
+#
+
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1	# failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 7 15
+
+_cleanup()
+{
+	cd /
+	rm -rf $tmp.*
+	wait
+}
+
+# get standard environment, filters and checks
+. ./common/rc
+. ./common/filter
+. ./common/reflink
+
+# real QA test starts here
+_supported_os Linux
+_require_scratch_reflink
+_require_cp_reflink
+
+echo "Format and mount"
+_scratch_mkfs > $seqres.full 2>&1
+_scratch_mount >> $seqres.full 2>&1
+
+testdir=$SCRATCH_MNT/test-$seq
+mkdir $testdir
+otherdir=/tmp/m.$seq
+othertestdir=$otherdir/test-$seq
+rm -rf $otherdir
+mkdir $otherdir
+
+blocks=1
+blksz=65536
+sz=$((blksz * blocks))
+
+echo "Mount otherdir"
+SCRATCH_MNT=$otherdir _scratch_mount
+
+echo "Create file"
+_pwrite_byte 0x61 0 $sz $testdir/file >> $seqres.full
+
+filter_md5() {
+	_filter_scratch | sed -e "s,$otherdir,OTHER_DIR,g"
+}
+
+echo "Reflink one file to another"
+_cp_reflink $testdir/file $othertestdir/otherfiles 2>&1 | filter_md5
+
+echo "Check output"
+md5sum $testdir/file | _filter_scratch
+test -e $othertestdir/otherfile && echo "otherfile should not exist"
+
+echo "Unmount otherdir"
+SCRATCH_MNT=$otherdir _scratch_unmount
+rm -rf $otherdir
+
+# success, all done
+status=0
+exit
diff --git a/tests/generic/927.out b/tests/generic/927.out
new file mode 100644
index 0000000..3ef3057
--- /dev/null
+++ b/tests/generic/927.out
@@ -0,0 +1,9 @@
+QA output created by 927
+Format and mount
+Mount otherdir
+Create file
+Reflink one file to another
+cp: failed to clone 'OTHER_DIR/test-927/otherfiles' from 'SCRATCH_MNT/test-927/file': Invalid cross-device link
+Check output
+2d61aa54b58c2e94403fb092c3dbc027  SCRATCH_MNT/test-927/file
+Unmount otherdir
diff --git a/tests/generic/928 b/tests/generic/928
new file mode 100755
index 0000000..86268e7
--- /dev/null
+++ b/tests/generic/928
@@ -0,0 +1,86 @@
+#! /bin/bash
+# FS QA Test No. 928
+#
+# Check that cross-mountpoint dedupe doesn't work.
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2016 Oracle, Inc.  All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+#-----------------------------------------------------------------------
+#
+
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1	# failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 7 15
+
+_cleanup()
+{
+	cd /
+	rm -rf $tmp.*
+	wait
+}
+
+# get standard environment, filters and checks
+. ./common/rc
+. ./common/filter
+. ./common/reflink
+
+# real QA test starts here
+_supported_os Linux
+_require_scratch_dedupe
+
+echo "Format and mount"
+_scratch_mkfs > $seqres.full 2>&1
+_scratch_mount >> $seqres.full 2>&1
+
+testdir=$SCRATCH_MNT/test-$seq
+mkdir $testdir
+otherdir=/tmp/m.$seq
+othertestdir=$otherdir/test-$seq
+rm -rf $otherdir
+mkdir $otherdir
+
+blocks=1
+blksz=65536
+sz=$((blocks * blksz))
+
+echo "Mount otherdir"
+SCRATCH_MNT=$otherdir _scratch_mount
+
+echo "Create file"
+_pwrite_byte 0x61 0 $sz $testdir/file >> $seqres.full
+_pwrite_byte 0x61 0 $sz $testdir/otherfile >> $seqres.full
+
+echo "Dedupe one file to another"
+_dedupe_range $testdir/file 0 $othertestdir/otherfile 0 $sz >> $seqres.full
+
+filter_md5() {
+	_filter_scratch | sed -e "s,$otherdir,OTHER_DIR,g"
+}
+echo "Check output"
+md5sum $testdir/file $othertestdir/otherfile | filter_md5
+
+echo "Unmount otherdir"
+SCRATCH_MNT=$otherdir _scratch_unmount
+rm -rf $otherdir
+
+# success, all done
+status=0
+exit
diff --git a/tests/generic/928.out b/tests/generic/928.out
new file mode 100644
index 0000000..ef35c5b
--- /dev/null
+++ b/tests/generic/928.out
@@ -0,0 +1,10 @@
+QA output created by 928
+Format and mount
+Mount otherdir
+Create file
+Dedupe one file to another
+dedupe: Invalid cross-device link
+Check output
+2d61aa54b58c2e94403fb092c3dbc027  SCRATCH_MNT/test-928/file
+2d61aa54b58c2e94403fb092c3dbc027  OTHER_DIR/test-928/otherfile
+Unmount otherdir
diff --git a/tests/generic/group b/tests/generic/group
index 97ecb65..18b9775 100644
--- a/tests/generic/group
+++ b/tests/generic/group
@@ -373,3 +373,5 @@
 368 auto quick richacl
 369 auto quick richacl
 370 auto quick richacl
+927 auto quick clone
+928 auto quick clone dedupe

_______________________________________________
xfs mailing list
xfs@oss.sgi.com
http://oss.sgi.com/mailman/listinfo/xfs

  parent reply	other threads:[~2016-07-21 23:47 UTC|newest]

Thread overview: 112+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-07-21 23:46 [PATCH v7 00/17] xfstests: fixes and new tests for rmap/reflink/etc Darrick J. Wong
2016-07-21 23:46 ` Darrick J. Wong
2016-07-21 23:46 ` [PATCH 01/17] xfs/26[34]: remove duplicate tests Darrick J. Wong
2016-07-21 23:46   ` Darrick J. Wong
2016-08-01  6:25   ` Christoph Hellwig
2016-08-01  6:25     ` Christoph Hellwig
2016-07-21 23:46 ` [PATCH 02/17] xfs: use rmapbt-checking helper Darrick J. Wong
2016-07-21 23:46   ` Darrick J. Wong
2016-08-01  6:25   ` Christoph Hellwig
2016-08-01  6:25     ` Christoph Hellwig
2016-07-21 23:46 ` [PATCH 03/17] xfs/310: fix the size calculation for the huge device Darrick J. Wong
2016-07-21 23:46   ` Darrick J. Wong
2016-08-01  6:25   ` Christoph Hellwig
2016-08-01  6:25     ` Christoph Hellwig
2016-07-21 23:46 ` [PATCH 04/17] xfs/122: list the new log redo items Darrick J. Wong
2016-07-21 23:46   ` Darrick J. Wong
2016-08-01  6:26   ` Christoph Hellwig
2016-08-01  6:26     ` Christoph Hellwig
2016-07-21 23:46 ` [PATCH 05/17] common/reflink: actually test dedupe on scratch device Darrick J. Wong
2016-07-21 23:46   ` Darrick J. Wong
2016-08-01  6:26   ` Christoph Hellwig
2016-08-01  6:26     ` Christoph Hellwig
2016-07-21 23:46 ` [PATCH 06/17] xfs: run xfs_repair at the end of each test Darrick J. Wong
2016-07-21 23:46   ` Darrick J. Wong
2016-08-01  6:27   ` Christoph Hellwig
2016-08-01  6:27     ` Christoph Hellwig
2016-08-01 17:08     ` Darrick J. Wong
2016-08-01 17:08       ` Darrick J. Wong
2016-08-02 12:24       ` Christoph Hellwig
2016-08-02 12:24         ` Christoph Hellwig
2016-08-03  9:15   ` Eryu Guan
2016-08-03  9:15     ` Eryu Guan
2016-08-03 22:08     ` Darrick J. Wong
2016-08-03 22:08       ` Darrick J. Wong
2016-08-03 22:45   ` [PATCH v2 06/17] xfs: optionally test xfs_repair index rebuilding " Darrick J. Wong
2016-08-03 22:45     ` Darrick J. Wong
2016-07-21 23:47 ` [PATCH 07/17] xfs/128: cycle_mount the scratch device, not the test device Darrick J. Wong
2016-07-21 23:47   ` Darrick J. Wong
2016-08-01  6:27   ` Christoph Hellwig
2016-08-01  6:27     ` Christoph Hellwig
2016-08-03  9:37   ` Eryu Guan
2016-08-03  9:37     ` Eryu Guan
2016-08-03 22:09     ` Darrick J. Wong
2016-08-03 22:09       ` Darrick J. Wong
2016-08-03 22:48   ` [PATCH v2 " Darrick J. Wong
2016-08-03 22:48     ` Darrick J. Wong
2016-07-21 23:47 ` [PATCH 08/17] xfs/129: fix post-metadump remounting idiocy Darrick J. Wong
2016-07-21 23:47   ` Darrick J. Wong
2016-08-01  6:27   ` Christoph Hellwig
2016-08-01  6:27     ` Christoph Hellwig
2016-07-21 23:47 ` [PATCH 09/17] common/dmerror: fix mount option issues Darrick J. Wong
2016-07-21 23:47   ` Darrick J. Wong
2016-08-01  6:28   ` Christoph Hellwig
2016-08-01  6:28     ` Christoph Hellwig
2016-08-03 10:38   ` Eryu Guan
2016-08-03 10:38     ` Eryu Guan
2016-08-03 22:14     ` Darrick J. Wong
2016-08-03 22:14       ` Darrick J. Wong
2016-08-03 22:50   ` [PATCH v2 " Darrick J. Wong
2016-08-03 22:50     ` Darrick J. Wong
2016-08-04  0:33     ` Darrick J. Wong
2016-08-04  0:33       ` Darrick J. Wong
2016-08-04  0:34   ` [PATCH v3 " Darrick J. Wong
2016-08-04  0:34     ` Darrick J. Wong
2016-07-21 23:47 ` [PATCH 10/17] xfs/179: use scratch device helpers Darrick J. Wong
2016-07-21 23:47   ` Darrick J. Wong
2016-08-01  6:28   ` Christoph Hellwig
2016-08-01  6:28     ` Christoph Hellwig
2016-07-21 23:47 ` [PATCH 11/17] xfs/234: " Darrick J. Wong
2016-07-21 23:47   ` Darrick J. Wong
2016-08-01  6:29   ` Christoph Hellwig
2016-08-01  6:29     ` Christoph Hellwig
2016-07-21 23:47 ` Darrick J. Wong [this message]
2016-07-21 23:47   ` [PATCH 12/17] reflink: test cross-mountpoint reflink and dedupe Darrick J. Wong
2016-08-01  6:29   ` Christoph Hellwig
2016-08-01  6:29     ` Christoph Hellwig
2016-08-08  7:56   ` Eryu Guan
2016-08-08  7:56     ` Eryu Guan
2016-08-08 17:28     ` Darrick J. Wong
2016-08-08 17:28       ` Darrick J. Wong
2016-07-21 23:47 ` [PATCH 13/17] xfs: test swapext with reflink Darrick J. Wong
2016-07-21 23:47   ` Darrick J. Wong
2016-08-08  8:13   ` Eryu Guan
2016-08-08  8:13     ` Eryu Guan
2016-08-08 17:41     ` Darrick J. Wong
2016-08-08 17:41       ` Darrick J. Wong
2016-08-09  6:29       ` Dave Chinner
2016-08-09  6:29         ` Dave Chinner
2016-08-19 21:53         ` Darrick J. Wong
2016-08-19 21:53           ` Darrick J. Wong
2016-07-21 23:47 ` [PATCH 14/17] xfs: more rmapbt tests Darrick J. Wong
2016-07-21 23:47   ` Darrick J. Wong
2016-08-08  8:48   ` Eryu Guan
2016-08-08  8:48     ` Eryu Guan
2016-08-08 17:59     ` Darrick J. Wong
2016-08-08 17:59       ` Darrick J. Wong
2016-07-21 23:47 ` [PATCH 15/17] xfs: scrub fs (if still mounted) at the end of the test Darrick J. Wong
2016-07-21 23:47   ` Darrick J. Wong
2016-08-08  8:52   ` Eryu Guan
2016-08-08  8:52     ` Eryu Guan
2016-08-08 18:03     ` Darrick J. Wong
2016-08-08 18:03       ` Darrick J. Wong
2016-07-21 23:48 ` [PATCH 16/17] xfs/122: add the realtime rmapbt inode and btree fields Darrick J. Wong
2016-07-21 23:48   ` Darrick J. Wong
2016-08-01  6:30   ` Christoph Hellwig
2016-08-01  6:30     ` Christoph Hellwig
2016-07-21 23:48 ` [PATCH 17/17] xfs: test realtime rmapbt code Darrick J. Wong
2016-07-21 23:48   ` Darrick J. Wong
2016-08-08  9:08   ` Eryu Guan
2016-08-08  9:08     ` Eryu Guan
2016-08-08 18:18     ` Darrick J. Wong
2016-08-08 18:18       ` Darrick J. Wong

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=146914485237.11762.2526971565060691741.stgit@birch.djwong.org \
    --to=darrick.wong@oracle.com \
    --cc=david@fromorbit.com \
    --cc=eguan@redhat.com \
    --cc=fstests@vger.kernel.org \
    --cc=linux-btrfs@vger.kernel.org \
    --cc=xfs@oss.sgi.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.